Thursday, May 5, 2011

Internet Explorer 9 and FireFox 4 Not Supported


Currently, Internet Explorer 9 and FireFox 4 Internet browsers are not supported at Ferris. We recommend that you do not update to the new version on your work or personally owned computer until it has been tested thoroughly by ITS to make sure it works with FerrisConnect, MyFSU, Banner, etc.
It may appear to work, but we cannot guarantee all features will work properly.  
Removing Internet Explorer 9:
To remove IE9 and revert back to a previous version on a Windows 7 computer, please click here for instructions.
Removing Firefox 4:
Firefox 4 must be completely removed and a previous version reinstalled if necessary. Contact the ITS Service Desk at 231-591-4822 for assistance.